Bug 706286 (CVE-2011-1929) - CVE-2011-1929 dovecot: potential crash when parsing header names that contain NUL characters
Summary: CVE-2011-1929 dovecot: potential crash when parsing header names that contain...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1929
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 709108 728670 728671 728672 728673 728674 833890
Blocks: 712345
TreeView+ depends on / blocked
 
Reported: 2011-05-19 22:27 UTC by Vincent Danen
Modified: 2019-09-29 12:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-29 17:06:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1187 normal SHIPPED_LIVE Moderate: dovecot security update 2011-08-18 19:52:19 UTC

Description Vincent Danen 2011-05-19 22:27:26 UTC
Dovecot has released version 1.2.17 [1] and 2.0.13 [2] to address a potential crash, and possibly mailbox corruption, when dovecot parsed header names that contained NUL characters.  This was due to a pointer possibly pointing past allocated memory.  An upstream patch [3] is available.


[1] http://dovecot.org/pipermail/dovecot/2011-May/059086.html
[2] http://dovecot.org/pipermail/dovecot/2011-May/059085.html
[3] http://hg.dovecot.org/dovecot-1.1/rev/3698dfe0f21c

Comment 1 Michal Hlavinka 2011-05-20 07:22:18 UTC
dovecot 1.2.17 for Fedora 13 has been just submitted for updates-testing, 2.0.13 versions for Fedora 14+ are already in updatest-testing repository.

https://admin.fedoraproject.org/updates/dovecot-1.2.17-1.fc13
https://admin.fedoraproject.org/updates/dovecot-2.0.13-1.fc14
https://admin.fedoraproject.org/updates/dovecot-2.0.13-1.fc15

Comment 2 Vincent Danen 2011-05-30 16:22:47 UTC
Created dovecot tracking bugs for this issue

Affects: fedora-all [bug 709108]

Comment 5 errata-xmlrpc 2011-08-18 19:52:29 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:1187 https://rhn.redhat.com/errata/RHSA-2011-1187.html


Note You need to log in before you can comment on or make changes to this bug.